Search
K
Illustration

Illustration for in-force Indexed Universal Life (IUL) what-if scenario

Retrieves the calculated results for the specified illustration request.

get
https://dev.api.zinnia.io/illustration/v3/indexed-universal-life/in-force/what-if/{id}

Path Parameters

idstringrequired

The unique identifier for the illustration request.

Response

application/json

the request was processed and results may be retrieved.

inputsobject

Illustration Request for Indexed Universal Life product - Inforce what-if scenario

Show Child Parameters
response

Illustration Response for Indexed Universal Life product

Show Child Parameters
get/illustration/v3/indexed-universal-life/in-force/what-if/{id}
 
application/json

Illustration for in-force indexed universal life - as-is scenario

Triggers an immediate calculation and returns the calculated results.

post
https://dev.api.zinnia.io/illustration/v3/indexed-universal-life/in-force/as-is

Body

application/json

contains all the input data needed for processing the request

Illustration Request for IUL - Inforce As-Is

Illustration Request for Indexed Universal Life product - Inforce as-is scenario

calculationTypestringrequired

Type of calculation. Only SINGLE_ILLUSTRATION triggers a PDF to be generated.

Allowed values:QUICK_QUOTESINGLE_ILLUSTRATIONAGGREGATE_ILLUSTRATIONCOMPOSITE_ILLUSTRATIONPOLICY_PAGE_PROJECTIONINITIAL_QUOTE

Example:QUICK_QUOTE

sourcestring

Source of the request

Example:ZINNIA

illustrationRequestDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2025-05-13

reportsobject
Show Child Parameters
policyDetailrequired

Represents the state of a policy at an instant in time. Describes the payload Zahara transmits when requesting calculations for a single transaction.

Show Child Parameters
policyDetailDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2025-05-13

Response

application/json

the request was processed

Illustration Response IUL

Illustration Response for Indexed Universal Life product

idstring

The unique identifier for the illustration request.

Example:ed13083d-d6b3-463d-a569-56b532d00fcd

messagesarray[object]

A structured signal

Show Child Parameters
assumedobject

Outputs for Indexed Universal Life product across all scenarios. This object represents a single scenario (e.g. Assumed, Guaranteed, etc)

Show Child Parameters
guaranteedobject

Outputs for Indexed Universal Life product across all scenarios. This object represents a single scenario (e.g. Assumed, Guaranteed, etc)

Show Child Parameters
midpointobject

Outputs for Indexed Universal Life product across all scenarios. This object represents a single scenario (e.g. Assumed, Guaranteed, etc)

Show Child Parameters
alternateobject

Outputs for Indexed Universal Life product across all scenarios. This object represents a single scenario (e.g. Assumed, Guaranteed, etc)

Show Child Parameters
post/illustration/v3/indexed-universal-life/in-force/as-is

Body

{ "calculationType": "QUICK_QUOTE", "illustrationRequestDate": "2025-05-13", "policyDetail": "", "policyDetailDate": "2025-05-13" }
 
application/json

Illustration for in-force Indexed Universal Life (IUL) as-is scenario

Retrieves the calculated results for the specified illustration request.

get
https://dev.api.zinnia.io/illustration/v3/indexed-universal-life/in-force/as-is/{id}

Path Parameters

idstringrequired

The unique identifier for the illustration request.

Response

application/json

the request was processed and results may be retrieved.

inputsobject

Illustration Request for Indexed Universal Life product - Inforce as-is scenario

Show Child Parameters
response

Illustration Response for Indexed Universal Life product

Show Child Parameters
get/illustration/v3/indexed-universal-life/in-force/as-is/{id}
 
application/json

Utility

Utility operations

Get API version

Returns the current version of the illustration API

get
https://dev.api.zinnia.io/illustration/v3/version

Response

200 application/json

Version information retrieved successfully

string

The current API version

get/illustration/v3/version
 
200 application/json